The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete the DoS Profile

Prev Next

This URL deletes the DoS profile.

Resource URL

DELETE /sensor/<sensor_id>/deletedosprofile

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensorId

Sensor id

Number

Yes

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

DosProfileRestoreName

DoS profile

Object

Yes

Details of DosProfileRestoreName:

Field Name

Description

Data Type

Mandatory

dosProfileName

DoS profile name

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

status

Set to 1 if the operation was successful

Number

Example

Request

PUT https://<NSM_IP>/sdkapi/sensor/1002/deletedosprofile

Payload

{
  "dosProfileName" : "profile_Thu_Apr_24_17_50_16_IST_2014.dat.gz"
}

Response

{
       "status": 1
 }

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

400

1124

The Sensor is inactive

3

400

5601

The profile name does not exist for the Sensor